Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009564 [DCSS] Bug Report minor have not tried 2015-03-21 13:52 2015-03-26 04:51
Reporter elliptic View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009564: Buying an item doesn't enable training skills using that item.
Description Specifically I bought a buckler and was not able to train Shields until I dropped the buckler and picked it back up. I assume it is at least a little more general though.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-List-of-skills-that-can-train-updates-FIXED.patch [^] (751 bytes) 2015-03-26 04:42 [Show Content]

- Relationships

-  Notes
(0028706)
Hollow (reporter)
2015-03-24 23:09

This is one of weird sides of 0.16
Sometimes things you drop via shift+click don't disappear from your inventory visually until you make some action (move, quaff a potion, cast, etc.) and it's the same in your case. Just skip a turn or make a step and you'll be able to learn it without meddling with drop and pick up.
Still, an issue that should be adressed in the future builds.
(0028707)
PleasingFungus (administrator)
2015-03-24 23:17

I very strongly doubt that elliptic was playing in tiles.
(0028711)
Lamil (reporter)
2015-03-26 04:28
edited on: 2015-03-26 04:34

I've attached a patch for this. The previous code only updated the list of skills that could be trained after actions that took time (i.e., under an if(you.turn_is_over) statement), and shopping doesn't take time.

EDIT: Whitespace is wrong, will fix momentarily.

(0028712)
Lamil (reporter)
2015-03-26 04:43

Uploaded the patch with spaces instead of tabs for whitespace. Please use the second patch (ending in FIXED).
(0028713)
PleasingFungus (administrator)
2015-03-26 04:51

Should be fixed in 43bd75a; thanks, Lamil!

- Issue History
Date Modified Username Field Change
2015-03-21 13:52 elliptic New Issue
2015-03-23 17:46 MarvinPA Issue Monitored: MarvinPA
2015-03-24 23:09 Hollow Note Added: 0028706
2015-03-24 23:17 PleasingFungus Note Added: 0028707
2015-03-26 04:26 Lamil File Added: 0001-List-of-skills-that-can-train-updates-even-if-action.patch
2015-03-26 04:28 Lamil Note Added: 0028711
2015-03-26 04:34 Lamil Note Edited: 0028711
2015-03-26 04:42 Lamil File Added: 0001-List-of-skills-that-can-train-updates-FIXED.patch
2015-03-26 04:43 Lamil Note Added: 0028712
2015-03-26 04:45 PleasingFungus File Deleted: 0001-List-of-skills-that-can-train-updates-even-if-action.patch
2015-03-26 04:51 PleasingFungus Note Added: 0028713
2015-03-26 04:51 PleasingFungus Status new => resolved
2015-03-26 04:51 PleasingFungus Fixed in Branch => 0.16 pre-release branch
2015-03-26 04:51 PleasingFungus Resolution open => done
2015-03-26 04:51 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker